#!/usr/bin/env python
import os, time, sys						#Bibliotheken laden

os.system('modprobe w1-gpio')					#Kernelmodule laden
os.system('modprobe w1-therm')

sensorcount = 3							#Festlegen, wieviele Sensoren vorhanden sind
sensors = ['28-0216009b68ff', '28-021600b769ff', '28-021600bb4dff'];	#Array mit den Sensor-IDs

sensorpath = '/sys/bus/w1/devices/'				#Pfad zum Sensorverzeichnis
sensorfile = '/w1_slave'					#Geraetedatei

def callsensor(sensor):
  f = open(sensorpath + sensor + sensorfile, 'r')		#Pfad, Sensor-ID und Geraetedatei zusammensetzen, Datei im Lesemodus oeffnen
  lines = f.readlines()						#Inhalt der Datei in lines schreiben
  f.close()							#Datei schliessen
  if lines[0].strip() [-3:] != 'YES':				#Index 0 (Zeile 1) strippen und pruefen, ob die letzten 3 Buchstaben YES sind
    sys.exit('Fehler bei Sensor ' + sensor)			#Wenn nein: Abbruch mit Sensornummer als Argument
  temp_line = lines[1].find('t=')				#Den Index (Position) von t= in temp_line schreiben
  if temp_line != -1:						#Wenn nicht -1 (=String nicht gefunden)
    temp_output = lines[1].strip() [temp_line+2:]		#Index 1 (Zeile 2) strippen und die Zeichen nach t= in temp_output schreiben
    temp_celsius = float(temp_output) / 1000			#Tausendstelgrad durch 1000 teilen und so in Grad Celsius wandeln, in temp_celsius
    return temp_celsius						#Funktion beenden und temp_celsius ausgeben

for i in range(0, sensorcount):					#for-Schleife von 0 bis 2
  s = sensors[i]    						#Sensor-ID 0-2 auf s schreiben
  print('Sensor ' + str(i) + ': ' + str(callsensor(s)))		#Ausgabe der Funktion callsensor mit Parameter der Sensor-ID
sys.exit()							#Programm beenden
